from setuptools import setup, find_packages
from io import open
from os import path

import pathlib
# The directory containing this file
HERE = pathlib.Path(__file__).parent

# The text of the README file
README = (HERE / "README.md").read_text()

# automatically captured required modules for install_requires in requirements.txt
with open(path.join(HERE, 'requirements.txt'), encoding='utf-8') as f:
	all_reqs = f.read().split('\n')

install_requires = [x.strip() for x in all_reqs if ('git+' not in x) and (
	not x.startswith('#')) and (not x.startswith('-'))]

setup(
	name = 'FilePyle',
	description = 'An URL file downloader which can download files over internet concurrently. Made in pure python.',
	version = '0.1.5',
	packages = find_packages(), # list of all packages
	install_requires = install_requires,
	entry_points={ 
        'console_scripts': [ 
            'filepyle = FilePyle.downloader:main' 
        ] 
    },
	author="Advait Jadhav",
	long_description=README,
	long_description_content_type="text/markdown",
	license='MIT',
	url='https://github.com/777advait/FilePyle',
	author_email='advait.nsj@gmail.com',
	classifiers=[
			'Programming Language :: Python :: 3',
			'License :: OSI Approved :: MIT License', 
			'Operating System :: OS Independent',
		]
)